	processor 6502
	org $0801
BASIC
	org $0810
	
START
	jsr SetupScreen
;	jsr InitMusic
	jsr SetupIRQ
MAIN
	jmp MAIN
	
	
SetupScreen
	lda #$01
	sta $d03f ;Magic Bit Enable
	lda #$00
	sta $0286
	sta $d020
	sta $d021
	jsr $e544
	rts

SetupIRQ
	sei
	inc $d019
	inc $d01a
	lda #$7f
	sta $dc0d
	lda #$1b
	sta $d011
	lda #$32
	sta $d012
	lda #<IRQ
	sta $0314
	lda #>IRQ
	sta $0315
	cli
	rts


IRQ
	inc $d019
	lda #$32
	sta $d012
	ldy #$06

IRQ1	dey
	bne IRQ1

	ldx #$00
IRQ3
	lda COLOR,x
	sta $d200
	ldy DELAY,x
IRQ2
	dey
	bne IRQ2
	inx
	cpx #$80
	bne IRQ3
	lda #$00
	sta $d200
;	jsr PlayMusic
	jmp $ea81

	org $0900
COLOR
	dc.b $04,$05,$06,$07,$08,$09,$0a,$0b
	dc.b $14,$15,$16,$17,$18,$19,$1a,$1b
	dc.b $24,$25,$26,$27,$28,$29,$2a,$2b
	dc.b $34,$35,$36,$37,$38,$39,$3a,$3b
	dc.b $44,$45,$46,$47,$48,$49,$4a,$4b
	dc.b $54,$55,$56,$57,$58,$59,$5a,$5b
	dc.b $64,$65,$66,$67,$68,$69,$6a,$6b
	dc.b $74,$75,$76,$77,$78,$79,$7a,$7b
	dc.b $84,$85,$86,$87,$88,$89,$8a,$8b
	dc.b $94,$95,$96,$97,$98,$99,$9a,$9b
	dc.b $a4,$a5,$a6,$a7,$a8,$a9,$aa,$ab
	dc.b $b4,$b5,$b6,$b7,$b8,$b9,$ba,$bb
	dc.b $c4,$c5,$c6,$c7,$c8,$c9,$ca,$cb
	dc.b $d4,$d5,$d6,$d7,$d8,$d9,$da,$db
	dc.b $e4,$e5,$e6,$e7,$e8,$e9,$ea,$eb
	dc.b $f4,$f5,$f6,$f7,$f8,$f9,$fa,$fb
	
	org $0a00
DELAY
	dc.b $0A,$0a,$09,$0a,$0a,$09,$08,$01
	dc.b $09,$0a,$09,$0a,$09,$0a,$09,$01
	dc.b $09,$0a,$09,$0a,$0a,$09,$08,$01
	dc.b $09,$0a,$09,$0a,$09,$0a,$09,$01
	dc.b $09,$0a,$09,$0a,$0a,$09,$08,$01
	dc.b $0a,$0a,$09,$0a,$09,$0a,$09,$01
	dc.b $08,$0a,$09,$0a,$0a,$09,$08,$01
	dc.b $09,$0a,$09,$0a,$0a,$09,$08,$01
	dc.b $09,$0a,$09,$0a,$09,$0a,$09,$01
	dc.b $09,$0a,$09,$0a,$0a,$09,$08,$01
	dc.b $0a,$0a,$09,$0a,$09,$0a,$09,$01
	dc.b $09,$0a,$09,$0a,$0a,$09,$08,$01
	dc.b $09,$0a,$09,$0a,$09,$0a,$09,$01
	dc.b $09,$0a,$09,$0a,$0a,$09,$08,$01
	dc.b $0a,$0a,$09,$0a,$09,$0a,$09,$01
	dc.b $09,$0a,$09,$0a,$0a,$09,$08,$01
	
InitMusic
	lda #$00
	jsr $1000
	rts
PlayMusic
	jsr $1003
	rts
	
;	org $1000
;	incbin "sixpera.prg"